import request from '@/utils/request'

// 查询单位信息列表
export function listDwxx(query) {
  return request({
    url: '/system/dwxx/list',
    method: 'get',
    params: query
  })
}

// 查询单位信息详细
export function getDwxx(id) {
  return request({
    url: '/system/dwxx/' + id,
    method: 'get'
  })
}

// 新增单位信息
export function addDwxx(data) {
  return request({
    url: '/system/dwxx',
    method: 'post',
    data: data
  })
}

// 修改单位信息
export function updateDwxx(data) {
  return request({
    url: '/system/dwxx',
    method: 'put',
    data: data
  })
}

// 删除单位信息
export function delDwxx(id) {
  return request({
    url: '/system/dwxx/' + id,
    method: 'delete'
  })
}
